summaryrefslogtreecommitdiffstats
path: root/lxde/build
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2009-09-11 20:36:29 +0000
committer Eric Hameleers <alien@slackware.com>2009-09-11 20:36:29 +0000
commit8b91a0bf02f6a1a4026b290050e93288540ad59f (patch)
tree2a810e07fb3ce28c4b6c45ccf463baa64bc9bc19 /lxde/build
parentba5b2339da2d22de15b5badd27e3cc25a06ac131 (diff)
downloadasb-8b91a0bf02f6a1a4026b290050e93288540ad59f.tar.gz
asb-8b91a0bf02f6a1a4026b290050e93288540ad59f.tar.xz
Some small fixes for the newer release
Diffstat (limited to 'lxde/build')
-rwxr-xr-xlxde/build/lxde-common.SlackBuild10
1 files changed, 5 insertions, 5 deletions
diff --git a/lxde/build/lxde-common.SlackBuild b/lxde/build/lxde-common.SlackBuild
index b5afc5ed..8917e11b 100755
--- a/lxde/build/lxde-common.SlackBuild
+++ b/lxde/build/lxde-common.SlackBuild
@@ -164,7 +164,7 @@ mkdir -p $PKG/usr/share/apps/kdm/sessions
# Move configuration files that we do not want overwriting old ones:
mv $PKG/etc/xdg/lxsession/LXDE/autostart{,.new}
mv $PKG/etc/xdg/lxsession/LXDE/config{,.new}
-mv $PKG/etc/xdg/lxsession/LXDE/default{,.new}
+#mv $PKG/etc/xdg/lxsession/LXDE/default{,.new}
# Add this to the doinst.sh:
! [ -d $PKG/install ] && mkdir -p $PKG/install
@@ -187,7 +187,7 @@ config() {
config etc/xdg/lxsession/LXDE/autostart.new
config etc/xdg/lxsession/LXDE/config.new
-config /etc/xdg/lxsession/LXDE/default.new
+#config /etc/xdg/lxsession/LXDE/default.new
EOINS
@@ -208,9 +208,9 @@ if [ -d $PKG/usr/man ]; then
for i in $(find $PKG/usr/man -type l -name "*.?") ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
fi
-# Strip binaries:
-find $PKG | xargs file | grep -e "executable" -e "shared object" \
- | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+# Strip binaries (if any):
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
# Add a package description:
mkdir -p $PKG/install